Lintian ReportsBETA

Wruntime-test-file-uses-supported-python-versions-without-test-depends

Tag versions

The tag is present in Lintian version 2.109.24. That is the most recent version we know about.

The specified file appears to use py3versions -s to determine the "supported" Python versions without specifying python3-all (or equivalent) as a test prerequisite.

With only the default version of Python installed, the autopkgtests may pass but the package subsequently fails at runtime when another, non-default, Python version is present.

Please add python3-all as a test prerequisite via Depends in debian/tests/control.

Visibility: warning

Check: testsuite

Renamed from:

The following 67 source packages in the archive triggered the tag 68 times.

There were no overrides.